# class Byebug::Processor

### Attributes

interface[RW]

### Public Class Methods

load_commands() click to toggle source

    # File lib/byebug/processor.rb, line 20
    def self.load_commands
      Dir.glob(File.expand_path('../commands/*.rb', __FILE__)).each do |file|
        require file
      end
    end

load_settings() click to toggle source

    # File lib/byebug/processor.rb, line 26
    def self.load_settings
      Dir.glob(File.expand_path('../settings/*.rb', __FILE__)).each do |file|
        require file
      end

      Byebug.constants.grep(/[a-z]Setting/).map do |name|
        setting = Byebug.const_get(name).new
        Byebug::Setting.settings[setting.to_sym] = setting
      end
    end

new(interface) click to toggle source

    # File lib/byebug/processor.rb, line 10
    def initialize(interface)
      @interface = interface
    end

### Public Instance Methods

without_exceptions() { || ... } click to toggle source

    # File lib/byebug/processor.rb, line 14
    def without_exceptions
      yield
    rescue
      nil
    end